### Home Classes Methods

### In Files

- lib/prawn/graphics/cap_style.rb

### Methods

- #cap_style
- #cap_style=

### Files

- COPYING
- HACKING
- LICENSE
- README

### Class/Module Index

Quicksearch

- Prawn
- Prawn::Core
- Prawn::Document
- Prawn::Document::Annotations
- Prawn::Document::BoundingBox
- Prawn::Document::ColumnBox
- Prawn::Document::Destinations
- Prawn::Document::GraphicsState
- Prawn::Document::Internals
- Prawn::Document::PageGeometry
- Prawn::Document::Snapshot
- Prawn::Encoding
- Prawn::Errors
- Prawn::Font
- Prawn::Font::AFM
- Prawn::Font::DFont
- Prawn::Font::TTF
- Prawn::Graphics
- Prawn::Graphics::CapStyle
- Prawn::Graphics::Color
- Prawn::Graphics::Dash
- Prawn::Graphics::JoinStyle
- Prawn::Graphics::Transformation
- Prawn::Graphics::Transparency
- Prawn::Images
- Prawn::Images::JPG
- Prawn::Images::PNG
- Prawn::Measurements
- Prawn::Outline
- Prawn::Stamp
- Prawn::Text
- Prawn::Text::Box
- Prawn::Text::LineWrap
- File
- Numeric

No matching classes.

# Prawn::Graphics::CapStyle

### Constants

CAP_STYLES

### Public Instance Methods

cap_style(style=nil) click to toggle source

Sets the cap style for stroked lines and curves

style is one of :butt, :round, or :projecting_square

NOTE: If this method is never called, :butt will be used by default.

    # File lib/prawn/graphics/cap_style.rb, line 20
    def cap_style(style=nil)
      return @cap_style || :butt if style.nil?

      @cap_style = style

      write_stroke_cap_style
    end

Also aliased as: cap_style=
cap_style=(style=nil) click to toggle source
Alias for: cap_style

[Validate]

Generated with the Darkfish Rdoc Generator 2.